"Fossies" - the Fresh Open Source Software Archive  

Source code changes of the file "tests/fatrace-currentmount" between
fatrace-0.16.3.tar.gz and fatrace-0.17.0.tar.gz

About: fatrace (“file access trace”) reports file access events from all running processes.

fatrace-currentmount  (fatrace-0.16.3):fatrace-currentmount  (fatrace-0.17.0)
skipping to change at line 46 skipping to change at line 46
echo "checking log..." echo "checking log..."
RC=0 RC=0
check_log() { check_log() {
if ! grep -q "$1" $LOG; then if ! grep -q "$1" $LOG; then
echo "$1 not found in log" >&2 echo "$1 not found in log" >&2
((RC=RC+1)) ((RC=RC+1))
fi fi
} }
# accessing the NEWS file # accessing the NEWS file
check_log "RC\?O\? $(pwd)/NEWS$" check_log "RC\?O\? \+$(pwd)/NEWS$"
# file creation # file creation
TEST_FILE=$(realpath "$TEST_FILE") TEST_FILE=$(realpath "$TEST_FILE")
check_log "^touch.* C\?W\?O $TEST_FILE" check_log "^touch.* C\?W\?O \+$TEST_FILE"
check_log "^touch.* C\?WO\? $TEST_FILE" check_log "^touch.* C\?WO\? \+$TEST_FILE"
check_log "^bash(.* C\?WO\? $TEST_FILE" check_log "^bash(.* C\?WO\? \+$TEST_FILE"
# file deletion # file deletion
check_log "^rm(.*): D $(dirname $TEST_FILE)$" check_log "^rm(.*): D $(dirname $TEST_FILE)$"
# dir creation # dir creation
check_log "^touch(.*): + $(dirname $TEST_FILE)$" check_log "^touch(.*): + $(dirname $TEST_FILE)$"
check_log "^mkdir(.*): + $(dirname $TEST_FILE)$" check_log "^mkdir(.*): + $(dirname $TEST_FILE)$"
# file renaming; usually one event, but can be two # file renaming; usually one event, but can be two
check_log "^mv(.*): <>\? $(dirname $TEST_FILE)" check_log "^mv(.*): <>\? \+$(dirname $TEST_FILE)"
check_log "^mv(.*): <\?> $(dirname $TEST_FILE)" check_log "^mv(.*): <\?> \+$(dirname $TEST_FILE)"
# file moving # file moving
check_log "^mv(.*): < $(dirname $TEST_FILE)$" check_log "^mv(.*): < $(dirname $TEST_FILE)$"
check_log "^mv(.*): > $(dirname $TEST_FILE)/dest$" check_log "^mv(.*): > $(dirname $TEST_FILE)/dest$"
# ELOOP ln/rm # ELOOP ln/rm
check_log "^ln(.*): + $(dirname $TEST_FILE)$" check_log "^ln(.*): + $(dirname $TEST_FILE)$"
check_log "^rm(.*): D $(dirname $TEST_FILE)$" check_log "^rm(.*): D $(dirname $TEST_FILE)$"
if [ $RC -ne 0 ]; then if [ $RC -ne 0 ]; then
echo "$RC checks failed -- log:" >&2 echo "$RC checks failed -- log:" >&2
echo "===================" >&2 echo "===================" >&2
cat $LOG >&2 cat $LOG >&2
echo "===================" >&2 echo "===================" >&2
fi fi
exit $RC exit $RC
 End of changes. 7 change blocks. 
13 lines changed or deleted 13 lines changed or added

Home  |  About  |  Features  |  All  |  Newest  |  Dox  |  Diffs  |  RSS Feeds  |  Screenshots  |  Comments  |  Imprint  |  Privacy  |  HTTP(S)